<template>
  <figure class="hero">
    <div class="svg-wrapper" v-bind:class="{ 'is-visible': loaded }">
      <svg class="shape-wrapper" xmlns="http://www.w3.org/2000/svg">
        <rect class="shape"/>
      </svg>
    </div>
    <img :src="image" alt="" class="hero__media">
  </figure>
</template>

<script>
export default {
  name: "Hero",
  props: ["image"],
  data: function() {
    return {
      loaded: false
    };
  },
  mounted: function() {
    this.loaded = true;
  }
};
</script>

<style scoped lang="scss">
@import "../styles/theme.scss";
@import "../styles/breakpoints.scss";

.svg-wrapper,
.shape-wrapper {
  position: absolute;
}

.hero {
  @include media-breakpoint-down(md) {
    max-width: 50%;
  }
   @include media-breakpoint-down(xs) {
    max-width: 100%;
  }
}
.hero__media {
  max-width: 40%;
  left: 50%;
  top: 50%;
}

.shape-wrapper,
.shape {
  width: 100%;
  height: 100%;
}

.svg-wrapper {
  top: 0;
  left: 10%;
  width: 50%;
  height: 0;
  padding-bottom: 50%;

  &.is-visible .shape {
    stroke-dashoffset: 0;
    stroke-dasharray: 1290;
  }
}

.shape {
  stroke-dasharray: 140 1290;
  stroke-dashoffset: -474;
  stroke-width: 0.75rem;
  fill: transparent;
  stroke: $primary-color;
  transition: stroke-dashoffset 1s, stroke-dasharray 1s;
}
</style>

